org.apache.olingo.odata2.jpa.processor.api.factory

## Class ODataJPAFactory

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.factory.ODataJPAFactory

-     public abstract class ODataJPAFactory
      extends Object

  The class is an abstract factory for creating default ODataJPAFactory. The class's actual implementation is responsible for creating other factory implementations.The class creates factories implementing interfaces
  - `JPAAccessFactory`
  - `JPQLBuilderFactory`
  - `JPQLBuilderFactory`
  Note: Extend this class only if you don't require library's default factory implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataJPAFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ODataJPAFactory` | `createFactory()` Method creates a factory instance.
    `JPAAccessFactory` | `getJPAAccessFactory()` The method returns a null reference to JPA Access Factory.
    `JPQLBuilderFactory` | `getJPQLBuilderFactory()` The method returns a null reference to JPQL Builder Factory.
    `ODataJPAAccessFactory` | `getODataJPAAccessFactory()` The method returns a null reference to OData JPA Access Factory.
    `static void` | `setImplementation(Class<?> clazz)` Method sets the implementation of the ODataJPAFactory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ODataJPAFactory

          public ODataJPAFactory()

  - ### Method Detail

    - #### setImplementation

          public static void setImplementation(Class<?> clazz)

      Method sets the implementation of the ODataJPAFactory. This makes it possible to change some default implementation like JPAAccessFactory, JPQLBuilderFactory, and JPQLBuilderFactory

    - #### createFactory

          public static ODataJPAFactory createFactory()

      Method creates a factory instance. The instance returned is singleton. The instance of this factory can be used for creating other factory implementations.
      Returns:
        instance of type `ODataJPAFactory` .

    - #### getJPQLBuilderFactory

          public JPQLBuilderFactory getJPQLBuilderFactory()

      The method returns a null reference to JPQL Builder Factory. Override this method to return an implementation of JPQLBuilderFactory if default implementation from library is not required.
      Returns:
        instance of type `JPQLBuilderFactory`

    - #### getJPAAccessFactory

          public JPAAccessFactory getJPAAccessFactory()

      The method returns a null reference to JPA Access Factory. Override this method to return an implementation of JPAAccessFactory if default implementation from library is not required.
      Returns:
        instance of type `JPQLBuilderFactory`

    - #### getODataJPAAccessFactory

          public ODataJPAAccessFactory getODataJPAAccessFactory()

      The method returns a null reference to OData JPA Access Factory. Override this method to return an implementation of ODataJPAAccessFactory if default implementation from library is not required.
      Returns:
        instance of type `ODataJPAAccessFactory`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.